package Orchestrator;

/**
 * This class is a pipeline to C++ functions in orchestrator.h,
 * use javah.exe -d %CLASSPATH% -classpath %CLASSPATH% Orchestrator.JNI 
 * to generate the c++ header file 
 * Their content is implemented in orchestrator.cpp
 * @author root
 */

public class JNI {

	static String archDataModel = System.getProperty("sun.arch.data.model");		
	static String DLL = "Orchestrator"+archDataModel+".dll";
	
	/**
	 * Calling the DLL will load it and give to possibility to use native C++ code in java
	 */
	JNI ()
	{
		System.load(Main.orchestrator_exe_path + "\\Orchestrator64.dll");//load the 64b DLL
	}
	   
	
	   public native boolean setWindowName( String character_name ,int hwnd); 
	   public native int gethwnd(String default_name); 
	   public native int getforegroundhwnd(); 
	   public native boolean setforeground(int hwnd);
	   public native void sync(String command, int handle);
       public native boolean same(int hwnd, String character); 
       public native void minimize(int hwnd, int SWCODE);
       public native boolean iswindow(int hwnd);
       public native void sendkey(int keycode, int hwnd);
       
}
	   
	  
	   


